package com.simuwang.daq.utils;

import cn.hutool.core.collection.ListUtil;
import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.read.builder.ExcelReaderBuilder;
import com.simuwang.base.pojo.dto.report.SimpleTable;
import com.simuwang.daq.components.CustomExcelMultiSheetListener;

import java.util.List;

public class ExcelReportParseUtil {
    public static final String filepath = "D:\\Documents\\workspace\\idea\\smppw\\data-daq\\service-daq\\src\\main\\java\\com\\simuwang\\daq\\utils\\PB0001私募月报（证券投资）.xlsx";

    public static void main(String[] args) {
        CustomExcelMultiSheetListener readListener = new CustomExcelMultiSheetListener();
        ExcelReaderBuilder readerBuilder = EasyExcel.read(filepath);
        readerBuilder.sheet();
        readerBuilder.customObject(ListUtil.toList("基金概况", "净值月报", "级基金净值表"));
        readerBuilder.registerReadListener(readListener);
        readerBuilder.doReadAll();

        List<SimpleTable> tables = readListener.getTables();
        for (SimpleTable table : tables) {
            System.out.println(table);
        }
    }
}
